DECLARE @PR棜楌No int
DECLARE @彜昳No int
DECLARE @屭媞No int
DECLARE @搊榐僗僞僢僼No int
DECLARE @峀崘No int
DECLARE @僾儘儌乕僔儑儞梊掕No int
DECLARE @僾儘儌乕僔儑儞幚愌No int
DECLARE @PR嬫暘No int
DECLARE @憤旓梡 int
DECLARE @懳徾彜昳憤悢 int
DECLARE @懳徾婛懚屭媞憤悢 int
DECLARE @桳岠擔悢撪偺憤攧忋 int
DECLARE @怴婯屭媞妉摼悢 int
DECLARE @尒崬屭媞妉摼悢 int
DECLARE @孈婲偟屭媞悢 int
DECLARE @峏怴僗僞僢僼No int
DECLARE @擭 int
DECLARE @擭寧 int
DECLARE @寧 int
DECLARE @R int
DECLARE @F int
DECLARE @M int
DECLARE @僐儞僞僋僩棜楌No int
DECLARE @僶僂儞僪No int
DECLARE @僣乕儖No int
DECLARE @僐儞僞僋僩僗僞僢僼No int
DECLARE @僗僞僢僼No int
DECLARE @栶怑No int
DECLARE @尃尷No int
DECLARE @夋柺No int
DECLARE @嬫暘 int
DECLARE @壜晄壜 int
DECLARE @惈暿 int
DECLARE @儊儖儅僈嫋戻 int
DECLARE @壠懓峔惉No int
DECLARE @壠懓嬫暘 int
DECLARE @曗懌柤No int
DECLARE @屭媞曗懌No int
DECLARE @PR柤 varchar
DECLARE @峀崘柤 varchar
DECLARE @撪梕 varchar
DECLARE @扴摉幰柤 varchar
DECLARE @TEL varchar
DECLARE @FAX varchar
DECLARE @儊乕儖傾僪儗僗 varchar
DECLARE @URL varchar
DECLARE @旛峫 varchar
DECLARE @憖嶌抂枛柤 varchar
DECLARE @憖嶌僗僞僢僼巵柤 varchar
DECLARE @憖嶌夋柺 varchar
DECLARE @憖嶌撪梕 varchar
DECLARE @審柤 varchar
DECLARE @杮暥 varchar
DECLARE @僗僞僢僼ID varchar
DECLARE @僷僗儚乕僪 varchar
DECLARE @巵柤 varchar
DECLARE @抣 varchar
DECLARE @屭媞ID varchar
DECLARE @巵柤僇僫 varchar
DECLARE @梄曋斣崋 varchar
DECLARE @廧強 varchar
DECLARE @曗懌撪梕 varchar
DECLARE @岞奐梊掕擔 datetime
DECLARE @岞奐幚巤擔 datetime
DECLARE @梊掕婜娫fr datetime
DECLARE @梊掕婜娫to datetime
DECLARE @岞奐梊掕擔fr datetime
DECLARE @岞奐梊掕擔to datetime
DECLARE @岞奐幚巤擔fr datetime
DECLARE @岞奐幚巤擔to datetime
DECLARE @幚巤婜娫fr datetime
DECLARE @幚巤婜娫to datetime
DECLARE @媥柊懳徾擔 datetime
DECLARE @斕攧擔帪fr datetime
DECLARE @斕攧擔帪to datetime
DECLARE @憖嶌擔fr datetime
DECLARE @憖嶌擔to datetime
DECLARE @僐儞僞僋僩擔帪 datetime
DECLARE @惗擭寧擔 datetime

SET @PR棜楌No = 1
SET @彜昳No = 1
SET @屭媞No = 1
SET @搊榐僗僞僢僼No = 1
SET @峀崘No = 1
SET @僾儘儌乕僔儑儞梊掕No = 1
SET @僾儘儌乕僔儑儞幚愌No = 1
SET @PR嬫暘No = 1
SET @憤旓梡 = 1
SET @懳徾彜昳憤悢 = 1
SET @懳徾婛懚屭媞憤悢 = 1
SET @桳岠擔悢撪偺憤攧忋 = 1
SET @怴婯屭媞妉摼悢 = 1
SET @尒崬屭媞妉摼悢 = 1
SET @孈婲偟屭媞悢 = 1
SET @峏怴僗僞僢僼No = 1
SET @擭 = 1
SET @擭寧 = 1
SET @寧 = 1
SET @R = 1
SET @F = 1
SET @M = 1
SET @僐儞僞僋僩棜楌No = 1
SET @僶僂儞僪No = 1
SET @僣乕儖No = 1
SET @僐儞僞僋僩僗僞僢僼No = 1
SET @僗僞僢僼No = 1
SET @栶怑No = 1
SET @尃尷No = 1
SET @夋柺No = 1
SET @嬫暘 = 1
SET @壜晄壜 = 1
SET @惈暿 = 1
SET @儊儖儅僈嫋戻 = 1
SET @壠懓峔惉No = 1
SET @壠懓嬫暘 = 1
SET @曗懌柤No = 1
SET @屭媞曗懌No = 1
SET @PR柤 = 'a'
SET @峀崘柤 = 'a'
SET @撪梕 = 'a'
SET @扴摉幰柤 = 'a'
SET @TEL = 'a'
SET @FAX = 'a'
SET @儊乕儖傾僪儗僗 = 'a'
SET @URL = 'a'
SET @旛峫 = 'a'
SET @憖嶌抂枛柤 = 'a'
SET @憖嶌僗僞僢僼巵柤 = 'a'
SET @憖嶌夋柺 = 'a'
SET @憖嶌撪梕 = 'a'
SET @審柤 = 'a'
SET @杮暥 = 'a'
SET @僗僞僢僼ID = 'a'
SET @僷僗儚乕僪 = 'a'
SET @巵柤 = 'a'
SET @抣 = 'a'
SET @屭媞ID = 'a'
SET @巵柤僇僫 = 'a'
SET @梄曋斣崋 = 'a'
SET @廧強 = 'a'
SET @岞奐梊掕擔 = '2002/1/11'
SET @岞奐幚巤擔 = '2002/1/11'
SET @幚巤婜娫fr = '2002/1/11'
SET @幚巤婜娫to = '2003/7/11'
SET @媥柊懳徾擔 = '2001/7/15'
SET @梊掕婜娫fr = '2001/7/15'
SET @梊掕婜娫to = '2001/7/15'
SET @岞奐梊掕擔fr = '2002/1/11'
SET @岞奐梊掕擔to = '2002/1/11'
SET @岞奐幚巤擔fr = '2002/1/11'
SET @岞奐幚巤擔to = '2002/1/11'
SET @斕攧擔帪fr = '2002/1/11'
SET @斕攧擔帪to = '2002/1/11'
SET @憖嶌擔fr = '2002/1/11'
SET @憖嶌擔to = '2002/1/11'
SET @僐儞僞僋僩擔帪 = '2002/1/11'
SET @惗擭寧擔 = '2002/1/11'



---- Fill
--SELECT
--	0 AS 怴婯, 
--	0 AS 曄峏, 
--	0 AS 嶍彍, 
--	慻怐No,
--	屭媞No, 
--	曗懌柤No, 
--	曗懌撪梕, 
--	旛峫, 
--	搊榐儐乕僓乕No, 
--	搊榐擔帪, 
--	峏怴儐乕僓乕No, 
--	峏怴擔帪
--FROM
--	H05屭媞曗懌
--WHERE
--	慻怐No = @慻怐No
SELECT
	0 AS 怴婯,
	0 AS 曄峏,
	0 AS 嶍彍,
	屭媞曗懌No,
	屭媞No,
	曗懌柤No,
	曗懌撪梕,
	旛峫,
	搊榐僗僞僢僼No,
	搊榐擔帪,
	峏怴僗僞僢僼No,
	峏怴擔帪
FROM
	H05屭媞曗懌

---- FillBy専嶕
--SELECT
--	0 AS 怴婯, 
--	0 AS 曄峏, 
--	0 AS 嶍彍, 
--	慻怐No,
--	屭媞No, 
--	曗懌柤No, 
--	曗懌撪梕, 
--	旛峫, 
--	搊榐儐乕僓乕No, 
--	搊榐擔帪, 
--	峏怴儐乕僓乕No, 
--	峏怴擔帪
--FROM
--	H05屭媞曗懌
--WHERE
--	慻怐No = @慻怐No AND
--	屭媞No = @屭媞No
SELECT
	0 AS 怴婯, 
	0 AS 曄峏, 
	0 AS 嶍彍, 
	屭媞曗懌No, 
	屭媞No, 
	曗懌柤No, 
	曗懌撪梕, 
	旛峫, 
	搊榐僗僞僢僼No, 
	搊榐擔帪, 
	峏怴僗僞僢僼No, 
	峏怴擔帪
FROM
	H05屭媞曗懌
WHERE
	屭媞No = @屭媞No


---- Insert
--INSERT INTO H05屭媞曗懌 (
--	慻怐No,
--	屭媞No,
--	曗懌柤No,
--	曗懌撪梕,
--	旛峫,
--	搊榐儐乕僓乕No,
--	搊榐擔帪,
--	峏怴儐乕僓乕No,
--	峏怴擔帪
--) VALUES (
--	@慻怐No,
--	@屭媞No, 
--	@曗懌柤No, 
--	@曗懌撪梕, 
--	@旛峫, 
--	@搊榐儐乕僓乕No,
--	getdate(),
--	@搊榐儐乕僓乕No,
--	getdate()
--);
INSERT INTO H05屭媞曗懌 (
	屭媞No,
	曗懌柤No,
	曗懌撪梕,
	旛峫,
	搊榐僗僞僢僼No,
	搊榐擔帪, 
	峏怴僗僞僢僼No,
	峏怴擔帪
) VALUES (
	@屭媞No,
	@曗懌柤No,
	@曗懌撪梕,
	@旛峫,
	@搊榐僗僞僢僼No, 
	GETDATE(),
	@搊榐僗僞僢僼No,
	GETDATE()
); 
SELECT 0 AS 怴婯, 0 AS 曄峏, 0 AS 嶍彍, 屭媞曗懌No, 屭媞No, 曗懌柤No, 曗懌撪梕, 旛峫, 搊榐僗僞僢僼No, 搊榐擔帪, 峏怴僗僞僢僼No, 峏怴擔帪 FROM H05屭媞曗懌 WHERE (屭媞曗懌No = SCOPE_IDENTITY())


---- Update
--UPDATE
--	H05屭媞曗懌
--SET
--	屭媞No = @屭媞No,
--	曗懌柤No = @曗懌柤No,
--	曗懌撪梕 = @曗懌撪梕,
--	旛峫 = @旛峫,
--	峏怴儐乕僓乕No = @峏怴儐乕僓乕No,
--	峏怴擔帪 = getdate()
--WHERE
--	慻怐No = @慻怐No AND
--	屭媞曗懌No = @屭媞曗懌No
UPDATE
	H05屭媞曗懌
SET
	屭媞No = @屭媞No,
	曗懌柤No = @曗懌柤No,
	曗懌撪梕 = @曗懌撪梕, 
	旛峫 = @旛峫,
	峏怴僗僞僢僼No = @峏怴僗僞僢僼No,
	峏怴擔帪 = GETDATE()
WHERE
	(屭媞曗懌No = @屭媞曗懌No); 
SELECT 0 AS 怴婯, 0 AS 曄峏, 0 AS 嶍彍, 屭媞曗懌No, 屭媞No, 曗懌柤No, 曗懌撪梕, 旛峫, 搊榐僗僞僢僼No, 搊榐擔帪, 峏怴僗僞僢僼No, 峏怴擔帪 FROM H05屭媞曗懌 WHERE (屭媞曗懌No = @屭媞曗懌No)


---- Delete
--DELETE FROM 
--	H05屭媞曗懌
--WHERE
--	慻怐No = @慻怐No AND
--	曗懌柤No = @曗懌柤No
DELETE FROM H05屭媞曗懌
WHERE
	(屭媞曗懌No = @屭媞曗懌No)
